<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<liferay-rss:rss-settings
	delta="<%= assetPublisherDisplayContext.getRSSDelta() %>"
	displayStyle="<%= assetPublisherDisplayContext.getRSSDisplayStyle() %>"
	displayStyles="<%= new String[] {RSSUtil.DISPLAY_STYLE_ABSTRACT, RSSUtil.DISPLAY_STYLE_TITLE} %>"
	enabled="<%= assetPublisherDisplayContext.isEnableRSS() %>"
	feedType="<%= assetPublisherDisplayContext.getRSSFeedType() %>"
	name="<%= assetPublisherDisplayContext.getRSSName() %>"
	nameEnabled="<%= true %>"
/>